loading...

vagrant up ssh update upgrade dist-upgrade

psnebc profile image Patrick Schanen ・13 min read
 Son 15 Okt - 08:58  ~ 
 @patrick  cd Vagrant 
 Son 15 Okt - 08:58  ~/Vagrant 
 @patrick  vagrant up
Bringing machine 'default' up with 'virtualbox' provider...
==> default: Checking if box 'geerlingguy/ubuntu1604' is up to date...
==> default: Clearing any previously set forwarded ports...
==> default: Clearing any previously set network interfaces...
==> default: Preparing network interfaces based on configuration...
    default: Adapter 1: nat
    default: Adapter 2: hostonly
==> default: Forwarding ports...
    default: 22 (guest) => 2222 (host) (adapter 1)
==> default: Booting VM...
==> default: Waiting for machine to boot. This may take a few minutes...
    default: SSH address: 127.0.0.1:2222
    default: SSH username: vagrant
    default: SSH auth method: private key
==> default: Machine booted and ready!
[default] GuestAdditions 5.1.28 running --- OK.
==> default: Checking for guest additions in VM...
==> default: [vagrant-hostsupdater] Checking for host entries
==> default: Configuring and enabling network interfaces...
==> default: Mounting shared folders...
    default: /vagrant => /home/patrick/Vagrant
==> default: Machine already provisioned. Run `vagrant provision` or use the `--provision`
==> default: flag to force provisioning. Provisioners marked to run always will still run.
 Son 15 Okt - 08:59  ~/Vagrant 
 @patrick  vagrant ssh
Welcome to Ubuntu 16.04.3 LTS (GNU/Linux 4.4.0-62-generic x86_64)

 * Documentation:  https://help.ubuntu.com
 * Management:     https://landscape.canonical.com
 * Support:        https://ubuntu.com/advantage
Last login: Sat Oct 14 19:06:10 2017 from 10.0.2.2
➜  ~ sudo apt-get update
Hit:1 http://ppa.launchpad.net/git-core/ppa/ubuntu xenial InRelease
Hit:2 http://ppa.launchpad.net/jonathonf/vim/ubuntu xenial InRelease                                                                                                                  
Hit:3 http://us.archive.ubuntu.com/ubuntu xenial InRelease                                                                                                                            
Hit:4 http://ppa.launchpad.net/kelleyk/emacs/ubuntu xenial InRelease                                                        
Get:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial InRelease [23.8 kB]                                          
Get:6 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]                                
Get:7 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]                                                           
Hit:8 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease                                                                               
Get:9 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 Packages [13.0 kB]                                                       
Get:10 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main i386 Packages [13.1 kB]                                                   
Get:11 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main Translation-en [7,084 B]                                                  
Get:12 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]                                             
Fetched 363 kB in 0s (407 kB/s)                                                               
Reading package lists... Done
➜  ~ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  apache2 apache2-bin apache2-data libgd3 linux-generic linux-headers-generic linux-image-generic
The following packages will be upgraded:
  apache2-utils libapr1 libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap libgeoip1 libjbig0 libpcre3 libssl1.1 libxml2 openssl
11 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
Need to get 3,764 kB of archives.
After this operation, 259 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libpcre3 amd64 2:8.41-1.1+ubuntu16.04.1+deb.sury.org+3 [337 kB]
Get:2 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 libssl1.1 amd64 1.1.0f-2~ubuntu16.04.1+deb.sury.org+4 [1,333 kB]
Get:3 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libxml2 amd64 2.9.4-1+deb.sury.org~xenial+2 [917 kB]
Get:4 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 libaprutil1-dbd-sqlite3 amd64 1.6.0-2+ubuntu16.04.1+deb.sury.org+2 [16.9 kB]
Get:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 libaprutil1-ldap amd64 1.6.0-2+ubuntu16.04.1+deb.sury.org+2 [15.0 kB]
Get:6 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 libaprutil1 amd64 1.6.0-2+ubuntu16.04.1+deb.sury.org+2 [89.6 kB]
Get:7 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 libapr1 amd64 1.6.2-1+ubuntu16.04.1+deb.sury.org+2 [96.3 kB]
Get:8 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 apache2-utils amd64 2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1 [142 kB]
Get:9 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 libgeoip1 amd64 1.6.9-4+deb.sury.org~xenial+1 [77.2 kB]
Get:10 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libjbig0 amd64 2.1-3.1+deb.sury.org~xenial+1 [26.4 kB]
Get:11 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 openssl amd64 1.1.0f-2~ubuntu16.04.1+deb.sury.org+4 [714 kB]
Fetched 3,764 kB in 2s (1,465 kB/s)
Preconfiguring packages ...
(Reading database ... 89204 files and directories currently installed.)
Preparing to unpack .../libpcre3_2%3a8.41-1.1+ubuntu16.04.1+deb.sury.org+3_amd64.deb ...
Unpacking libpcre3:amd64 (2:8.41-1.1+ubuntu16.04.1+deb.sury.org+3) over (2:8.38-3.1) ...
Processing triggers for libc-bin (2.23-0ubuntu9) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up libpcre3:amd64 (2:8.41-1.1+ubuntu16.04.1+deb.sury.org+3) ...
Processing triggers for libc-bin (2.23-0ubuntu9) ...
(Reading database ... 89205 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.0f-2~ubuntu16.04.1+deb.sury.org+4_amd64.deb ...
Unpacking libssl1.1:amd64 (1.1.0f-2~ubuntu16.04.1+deb.sury.org+4) over (1.1.0f-2~ubuntu16.04.1+deb.sury.org+1) ...
Preparing to unpack .../libxml2_2.9.4-1+deb.sury.org~xenial+2_amd64.deb ...
Unpacking libxml2:amd64 (2.9.4-1+deb.sury.org~xenial+2) over (2.9.3+dfsg1-1ubuntu0.3) ...
Preparing to unpack .../libaprutil1-dbd-sqlite3_1.6.0-2+ubuntu16.04.1+deb.sury.org+2_amd64.deb ...
Unpacking libaprutil1-dbd-sqlite3:amd64 (1.6.0-2+ubuntu16.04.1+deb.sury.org+2) over (1.5.4-1build1) ...
Preparing to unpack .../libaprutil1-ldap_1.6.0-2+ubuntu16.04.1+deb.sury.org+2_amd64.deb ...
Unpacking libaprutil1-ldap:amd64 (1.6.0-2+ubuntu16.04.1+deb.sury.org+2) over (1.5.4-1build1) ...
Preparing to unpack .../libaprutil1_1.6.0-2+ubuntu16.04.1+deb.sury.org+2_amd64.deb ...
Unpacking libaprutil1:amd64 (1.6.0-2+ubuntu16.04.1+deb.sury.org+2) over (1.5.4-1build1) ...
Preparing to unpack .../libapr1_1.6.2-1+ubuntu16.04.1+deb.sury.org+2_amd64.deb ...
Unpacking libapr1:amd64 (1.6.2-1+ubuntu16.04.1+deb.sury.org+2) over (1.5.2-3) ...
Preparing to unpack .../apache2-utils_2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ...
Unpacking apache2-utils (2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1) over (2.4.18-2ubuntu3.5) ...
Preparing to unpack .../libgeoip1_1.6.9-4+deb.sury.org~xenial+1_amd64.deb ...
Unpacking libgeoip1:amd64 (1.6.9-4+deb.sury.org~xenial+1) over (1.6.9-1) ...
Preparing to unpack .../libjbig0_2.1-3.1+deb.sury.org~xenial+1_amd64.deb ...
Unpacking libjbig0:amd64 (2.1-3.1+deb.sury.org~xenial+1) over (2.1-3.1) ...
Preparing to unpack .../openssl_1.1.0f-2~ubuntu16.04.1+deb.sury.org+4_amd64.deb ...
Unpacking openssl (1.1.0f-2~ubuntu16.04.1+deb.sury.org+4) over (1.0.2g-1ubuntu4.8) ...
Processing triggers for libc-bin (2.23-0ubuntu9) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up libssl1.1:amd64 (1.1.0f-2~ubuntu16.04.1+deb.sury.org+4) ...
Setting up libxml2:amd64 (2.9.4-1+deb.sury.org~xenial+2) ...
Setting up libapr1:amd64 (1.6.2-1+ubuntu16.04.1+deb.sury.org+2) ...
Setting up libaprutil1:amd64 (1.6.0-2+ubuntu16.04.1+deb.sury.org+2) ...
Setting up libaprutil1-dbd-sqlite3:amd64 (1.6.0-2+ubuntu16.04.1+deb.sury.org+2) ...
Setting up libaprutil1-ldap:amd64 (1.6.0-2+ubuntu16.04.1+deb.sury.org+2) ...
Setting up apache2-utils (2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1) ...
Setting up libgeoip1:amd64 (1.6.9-4+deb.sury.org~xenial+1) ...
Setting up libjbig0:amd64 (2.1-3.1+deb.sury.org~xenial+1) ...
Setting up openssl (1.1.0f-2~ubuntu16.04.1+deb.sury.org+4) ...
Installing new version of config file /etc/ssl/openssl.cnf ...
Processing triggers for libc-bin (2.23-0ubuntu9) ...
➜  ~ sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  liblua5.1-0 libvpx3
Use 'sudo apt autoremove' to remove them.
The following NEW packages will be installed:
  liblua5.2-0 libnghttp2-14 libwebp5 linux-headers-4.4.0-97 linux-headers-4.4.0-97-generic linux-image-4.4.0-97-generic linux-image-extra-4.4.0-97-generic
The following packages will be upgraded:
  apache2 apache2-bin apache2-data libgd3 linux-generic linux-headers-generic linux-image-generic
7 upgraded, 7 newly installed, 0 to remove and 0 not upgraded.
Need to get 70.7 MB of archives.
After this operation, 299 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 libnghttp2-14 amd64 1.25.0-1+ubuntu16.04.1+deb.sury.org+1 [80.0 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 liblua5.2-0 amd64 5.2.4-1ubuntu1 [106 kB]
Get:3 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 apache2 amd64 2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1 [159 kB]
Get:4 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 apache2-bin amd64 2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1 [1,123 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-image-4.4.0-97-generic amd64 4.4.0-97.120 [21.9 MB]
Get:6 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 apache2-data all 2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1 [163 kB]
Get:7 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libwebp5 amd64 0.4.4-1+deb.sury.org~xenial+1 [166 kB]
Get:8 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libgd3 amd64 2.2.5-3+ubuntu16.04.1+deb.sury.org+1 [134 kB]
Get:9 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-image-extra-4.4.0-97-generic amd64 4.4.0-97.120 [36.1 MB]
Get:10 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-generic amd64 4.4.0.97.102 [1,788 B]                                                                              
Get:11 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-image-generic amd64 4.4.0.97.102 [2,288 B]                                                                        
Get:12 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-headers-4.4.0-97 all 4.4.0-97.120 [9,921 kB]                                                                      
Get:13 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-headers-4.4.0-97-generic amd64 4.4.0-97.120 [817 kB]                                                              
Get:14 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-headers-generic amd64 4.4.0.97.102 [2,270 B]                                                                      
Fetched 70.7 MB in 19s (3,592 kB/s)                                                                                                                                                          
Selecting previously unselected package liblua5.2-0:amd64.
(Reading database ... 89209 files and directories currently installed.)
Preparing to unpack .../liblua5.2-0_5.2.4-1ubuntu1_amd64.deb ...
Unpacking liblua5.2-0:amd64 (5.2.4-1ubuntu1) ...
Selecting previously unselected package libnghttp2-14:amd64.
Preparing to unpack .../libnghttp2-14_1.25.0-1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ...
Unpacking libnghttp2-14:amd64 (1.25.0-1+ubuntu16.04.1+deb.sury.org+1) ...
Preparing to unpack .../apache2_2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ...
Restoring lost conffile /etc/apache2/mods-available/cern_meta.load.
Restoring lost conffile /etc/apache2/mods-available/imagemap.load.
Unpacking apache2 (2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1) over (2.4.18-2ubuntu3.5) ...
Preparing to unpack .../apache2-bin_2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ...
Unpacking apache2-bin (2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1) over (2.4.18-2ubuntu3.5) ...
Preparing to unpack .../apache2-data_2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1_all.deb ...
Unpacking apache2-data (2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1) over (2.4.18-2ubuntu3.5) ...
Selecting previously unselected package libwebp5:amd64.
Preparing to unpack .../libwebp5_0.4.4-1+deb.sury.org~xenial+1_amd64.deb ...
Unpacking libwebp5:amd64 (0.4.4-1+deb.sury.org~xenial+1) ...
Preparing to unpack .../libgd3_2.2.5-3+ubuntu16.04.1+deb.sury.org+1_amd64.deb ...
Unpacking libgd3:amd64 (2.2.5-3+ubuntu16.04.1+deb.sury.org+1) over (2.1.1-4ubuntu0.16.04.8) ...
Selecting previously unselected package linux-image-4.4.0-97-generic.
Preparing to unpack .../linux-image-4.4.0-97-generic_4.4.0-97.120_amd64.deb ...
Done.
Unpacking linux-image-4.4.0-97-generic (4.4.0-97.120) ...
Selecting previously unselected package linux-image-extra-4.4.0-97-generic.
Preparing to unpack .../linux-image-extra-4.4.0-97-generic_4.4.0-97.120_amd64.deb ...
Unpacking linux-image-extra-4.4.0-97-generic (4.4.0-97.120) ...
Preparing to unpack .../linux-generic_4.4.0.97.102_amd64.deb ...
Unpacking linux-generic (4.4.0.97.102) over (4.4.0.62.65) ...
Preparing to unpack .../linux-image-generic_4.4.0.97.102_amd64.deb ...
Unpacking linux-image-generic (4.4.0.97.102) over (4.4.0.62.65) ...
Selecting previously unselected package linux-headers-4.4.0-97.
Preparing to unpack .../linux-headers-4.4.0-97_4.4.0-97.120_all.deb ...
Unpacking linux-headers-4.4.0-97 (4.4.0-97.120) ...
Selecting previously unselected package linux-headers-4.4.0-97-generic.
Preparing to unpack .../linux-headers-4.4.0-97-generic_4.4.0-97.120_amd64.deb ...
Unpacking linux-headers-4.4.0-97-generic (4.4.0-97.120) ...
Preparing to unpack .../linux-headers-generic_4.4.0.97.102_amd64.deb ...
Unpacking linux-headers-generic (4.4.0.97.102) over (4.4.0.62.65) ...
Processing triggers for libc-bin (2.23-0ubuntu9) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for systemd (229-4ubuntu19) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for ufw (0.35-0ubuntu2) ...
Setting up liblua5.2-0:amd64 (5.2.4-1ubuntu1) ...
Setting up libnghttp2-14:amd64 (1.25.0-1+ubuntu16.04.1+deb.sury.org+1) ...
Setting up apache2-bin (2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1) ...
Setting up apache2-data (2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1) ...
Setting up apache2 (2.4.27-6.1+ubuntu16.04.1+deb.sury.org+1) ...
Installing new version of config file /etc/apache2/apache2.conf ...
Installing new version of config file /etc/apache2/envvars ...
Installing new version of config file /etc/apache2/mods-available/deflate.conf ...
Installing new version of config file /etc/apache2/mods-available/mime.conf ...
Installing new version of config file /etc/apache2/mods-available/proxy_html.load ...
Installing new version of config file /etc/apache2/mods-available/userdir.conf ...
Installing new version of config file /etc/init.d/apache-htcacheclean ...
Installing new version of config file /etc/init.d/apache2 ...
Installing new version of config file /etc/logrotate.d/apache2 ...
Enabling module reqtimeout.
insserv: warning: current start runlevel(s) (empty) of script `apache-htcacheclean' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `apache-htcacheclean' overrides LSB defaults (0 1 6).
Setting up libwebp5:amd64 (0.4.4-1+deb.sury.org~xenial+1) ...
Setting up libgd3:amd64 (2.2.5-3+ubuntu16.04.1+deb.sury.org+1) ...
Setting up linux-image-4.4.0-97-generic (4.4.0-97.120) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-97-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
run-parts: executing /etc/kernel/postinst.d/vboxadd 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found linux image: /boot/vmlinuz-4.4.0-97-generic
Found initrd image: /boot/initrd.img-4.4.0-97-generic
Found linux image: /boot/vmlinuz-4.4.0-62-generic
Found initrd image: /boot/initrd.img-4.4.0-62-generic
done
Setting up linux-image-extra-4.4.0-97-generic (4.4.0-97.120) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-97-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
run-parts: executing /etc/kernel/postinst.d/vboxadd 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found linux image: /boot/vmlinuz-4.4.0-97-generic
Found initrd image: /boot/initrd.img-4.4.0-97-generic
Found linux image: /boot/vmlinuz-4.4.0-62-generic
Found initrd image: /boot/initrd.img-4.4.0-62-generic
done
Setting up linux-image-generic (4.4.0.97.102) ...
Setting up linux-headers-4.4.0-97 (4.4.0-97.120) ...
Setting up linux-headers-4.4.0-97-generic (4.4.0-97.120) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 4.4.0-97-generic /boot/vmlinuz-4.4.0-97-generic
Setting up linux-headers-generic (4.4.0.97.102) ...
Setting up linux-generic (4.4.0.97.102) ...
Processing triggers for libc-bin (2.23-0ubuntu9) ...
Processing triggers for systemd (229-4ubuntu19) ...
Processing triggers for ureadahead (0.100.0-19) ...

Posted on Apr 20 '18 by:

psnebc profile

Patrick Schanen

@psnebc

My languages Luxemburgish, German, French, Italian, English

Discussion

markdown guide
 

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

So these 3 commands above will update my Vagrant?

 

After the dist-upgrade (or full-upgrade), next time you vagrant ssh in, Ubuntu will remind you that the system must be rebooted to enable changes to system files. If you run sudo shutdown -r now at that point, your Vagrant ssh session will end and you will apparently not be able to start a new one.

However, running vagrant box remove $YOUR_BOX_NAME followed by vagrant up will rebuild your VM with a fully updated Ubuntu (where $YOUR_BOX_NAME is, e.g., ubuntu/eoan64).

If someone can explain to me why this works, I'd be grateful. I thought vagrant box remove removed the VM from e.g.. VirtualBox; apparently it's a bit more complicated than that.

 

The installed System yes not more. In this case Ubuntu 16.04.3 LTS